/*

Start SQL SErver Agent 

*/

USE Concurrency2
GO
ALTER TABLE [dbo].[TestTable] DISABLE CHANGE_TRACKING 
GO
USE master
GO
ALTER DATABASE [Concurrency2] SET CHANGE_TRACKING = OFF
GO
USE Concurrency2
GO
EXEC sys.sp_cdc_disable_db
GO
IF OBJECT_ID('dbo.TestTable') IS NOT NULL
	DROP TABLE dbo.TestTable
GO
CREATE TABLE dbo.TestTable (
	KeyValue VARCHAR(10) PRIMARY KEY NOT NULL,
	SequenceNumber INT DEFAULT(1),
	KeyDate DATETIME DEFAULT (GETDATE())    )
GO


GO
IF OBJECT_ID('dbo.TestTableArchive') IS NOT NULL
	DROP TABLE dbo.TestTableArchive
GO
CREATE TABLE dbo.TestTableArchive (
	KeyValue VARCHAR(10) PRIMARY KEY NOT NULL,
	SequenceNumber INT, 
	KeyDate DATETIME DEFAULT (GETDATE()),
	Archive DATETIME DEFAULT (GETDATE())    )
GO

INSERT dbo.TestTable (KeyValue)
VALUES ('C1'), ('C2'), ('C3'), ('C4'), ('C5')


IF OBJECT_ID('dbo.QueueTable') IS NOT NULL
	DROP TABLE dbo.QueueTable
GO
CREATE TABLE dbo.QueueTable (
	QueueID BIGINT PRIMARY KEY IDENTITY(1,1),
	Payload VARCHAR(1000) NULL   )
GO

SELECT * FROM dbo.TestTable
SELECT * FROM dbo.QueueTable
