-- Start SQL Server Agent

USE Concurrency2
GO
select * from dbo.TestTable
GO
EXEC sys.sp_cdc_enable_db
GO
EXEC sys.sp_cdc_enable_table
@source_schema = N'dbo',
@source_name   = N'TestTable',
@role_name     = NULL,
@supports_net_changes = 1
GO

use Concurrency2
GO
UPDATE	dbo.TestTable
SET		SequenceNumber += 1
WHERE	KeyValue = 'A1'

INSERT	dbo.TestTable (KeyValue)
VALUES ('CDC1'), ('CDC2');

UPDATE	dbo.TestTable
SET		SequenceNumber += 1
WHERE	KeyValue = 'CDC1'
GO

DECLARE @from_lsn binary(10), @to_lsn binary(10)

SELECT	@from_lsn =    sys.fn_cdc_get_min_lsn('dbo_TestTable')
SELECT  @to_lsn   = sys.fn_cdc_get_max_lsn()

SELECT * FROM cdc.fn_cdc_get_all_changes_dbo_TestTable
  (@from_lsn, @to_lsn, N'all');

select * from dbo.TestTable